Bug 1806461 - Documentation link open in the same tab
Summary: Documentation link open in the same tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Navigation
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: 6.10.0
Assignee: Tomer Brisker
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 09:31 UTC by rakesh kumar
Modified: 2021-11-16 14:09 UTC (History)
7 users (show)

Fixed In Version: foreman-2.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32056 0 Normal New Documentation link open in the same tab 2021-03-09 15:41:00 UTC
Foreman Issue Tracker 32070 0 Normal New Switch all welcome pages to use EmptyStatePattern component 2021-03-15 08:28:55 UTC
Foreman Issue Tracker 32821 0 Normal New Documentation button on Audits page opens in same tab 2021-06-17 07:17:52 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:18 UTC

Description rakesh kumar 2020-02-24 09:31:39 UTC
Description of problem:
Some of the documentation links in the Satellite UI, open in the same tab

like: 

Satellite UI -> Infrastructure -> click on "Learn more about this in the documentation." documentation link.



Version-Release number of selected component (if applicable):
6.7

How reproducible:
Always

Steps to Reproduce:
Satellite UI -> Infrastructure -> "HTTP Proxies" -> click on "Learn more about this in the documentation." documentation link.

Satellite UI -> Trends -> click on "Learn more about this in the documentation." documentation link.


Satellite UI -> Audits -> click on "Documentaion" link


Satellite UI -> Infrastructure -> Realms -> click on "Learn more about this in the documentation." documentation link.



Satellite UI -> Infrastructure -> subnets -> click on "Learn more about this in the documentation." documentation link.

Satellite UI -> Infrastructure -> 'Compute Resources' -> click on "Learn more about this in the documentation." documentation link.


Satellite UI -> Configure ->  Environments -> 'Help' -> click on "Learn more about this in the documentation." documentation link or 'Puppet classes and environment importer.'


Satellite UI -> Configure -> 'Config Groups' -> click on "Learn more about this in the documentation." documentation link 


Satellite UI -> Configure -> 'Smart Variables' -> click on "Learn more about this in the documentation." documentation link
Actual results:


Expected results:

Documentation link should open in new tab


Additional info:

Comment 3 Shimon Shtein 2020-02-26 11:12:48 UTC
I'm afraid the component is set incorrectly. Branding is responsible for changing link destination - upstream vs downstream documentation.
The target (new tab, new window e.t.c.) is defined by foreman code in the relevant place.

Comment 4 Tomer Brisker 2021-03-09 15:40:58 UTC
Created redmine issue https://projects.theforeman.org/issues/32056 from this bug

Comment 5 Bryan Kearney 2021-03-09 16:05:57 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 6 Bryan Kearney 2021-03-09 16:06:00 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 7 Ondřej Pražák 2021-03-15 08:28:53 UTC
Connecting redmine issue https://projects.theforeman.org/issues/32070 from this bug

Comment 8 Bryan Kearney 2021-04-25 16:05:37 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32056 has been resolved.

Comment 9 tstrych 2021-06-15 13:00:35 UTC
I went through all links mentioned in comment #0.
I went only through the links that are mentioned in this BZ. It's possible that there are still some that are not opening in new tab. 

Tested with new satellite 6.10 snap 4.
All mentioned documentation links were tested twice (when possible) with no entity and after entity was created.

Trends are no longer part of satellite from 6.9.

Actual result: 
And Monitor -> Audits -> Documentation -> still opens in same tab 
Expected result:
it will be opened in new tab
 
I have no problem to create new BZ for that. But I think it's part of this one and should be fixed here. 
FailedQA.

Comment 10 Tomer Brisker 2021-06-17 07:17:51 UTC
Connecting redmine issue https://projects.theforeman.org/issues/32821 from this bug

Comment 11 tstrych 2021-07-22 14:27:46 UTC
Verified with sat 6.10 snap 10 with package foreman-2.5.2. 
I went through all links mentioned in comment #0.

Verified.

Comment 14 errata-xmlrpc 2021-11-16 14:09:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.